package com.example.demo

import com.example.demo.domain.MoneyConfig
import com.example.demo.domain.MoneyDyn
import org.springframework.boot.CommandLineRunner
import org.springframework.boot.autoconfigure.SpringBootApplication
import org.springframework.boot.runApplication

@SpringBootApplication
class DemoApplication : CommandLineRunner {
    override fun run(vararg args: String?) {
        // val value1 = "50:USD"
        // val value2 = "30:KHR"
        // val money1 = Money.parse(value1)
        // val money2 = Money.parse(value2)
        // val result = money1.addMoney(money2)
        //
        // println(result)

        val config = "USD=1,KHR=4000,EUR=0.99"
        val result = MoneyConfig.parse(config)
        println(result)

        val value1 = MoneyDyn()
        value1.setConfig(config)
    }
}

fun main(args: Array<String>) {
    runApplication<DemoApplication>(*args)
}
